POST/reviews/summary

Get Reviews Summary

This method allows you to retrieve a Reviews Summary for a specific hotel by providing the hotelcodes, sourcecodes, and shopid.
POST/reviews/summary

Mandatory Fields

  • hotelCodes
  • shopId

Note

Additionally, this endpoint enables you to configure the following options: 1. reviewsPerPage: Specifies the number of records (reviews summary) to display per page, helping to limit the number of records fetched at one time. 2. pageNumber: Determines the page number of the results to view.

Parameter Details

NameInTypeRequiredDescription
reviewsPerPagequeryintegerOptionalThe number of items to display in a page
pageNumberqueryintegerOptionalIndicates the current page number
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKOk
400Bad RequestValidation ErrorNone
401UnauthorizedAuthorization FailedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /reviews/summary \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: API_KEY'

Body parameter

{
  "hotelCodes": [
    2005,
    3960748
  ],
  "sourceCodes": [
    1,
    283
  ],
  "shopId": 10
}

Example responses

200 Response
[
  {
    "totalRecords": 2,
    "fetchedRecords": 2,
    "totalPages": 1,
    "currentPage": 1,
    "pageSize": 10,
    "summaryDetails": [
      {
        "hotelCode": 3960748,
        "websiteCode": 1,
        "hotelReview": 6,
        "outOfReview": 10,
        "totalReviewCount": 3,
        "cleanliness": 7.4,
        "comfort": 8,
        "facilities": 4.8,
        "staff": 7.4,
        "valueForMoney": 4.2,
        "freeWifi": 4.6,
        "location": 4.2,
        "foodDrinks": 6,
        "room": 5,
        "hotelCondition": 4.8,
        "service": 7.4,
        "pool": 5,
        "sleepQuality": 5,
        "statusCode": 200,
        "reviewUrl": "https://www.expedia.co.in/Guadalajara-Hotels-Expo-Satelite-Hotel-Suites.h91821001.Hotel-Information",
        "dtCollected": "2025-05-06T14:15:22Z",
        "hotelId": 91821001,
        "userId": 7,
        "queueId": 1986,
        "shopId": 10,
        "rank": 10,
        "city": "Guadalajara",
        "websiteName": "Expedia",
        "starRating": 7
      }
    ]
  }
]

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.